DeleteFitPoint 方法 (ActiveX)
删除样条曲线在给定索引处的拟合点。 支持的平台:仅限 Windows 签名VBA: object.DeleteFitPoint Index
返回值 (RetVal)无返回值。 言论AutoCAD 将移除拟合点,然后通过其余点重新调整样条曲线。样条中必须至少有三个拟合点,此方法才能成功。若要查看更改,请使用 or 方法。UpdateRegen 例子VBA: Sub Example_DeleteFitPoint() ' This example creates a spline object in model space. ' It then deletes a fit point from the spline. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll MsgBox "Delete the first fit point", , "DeleteFitPoint Example" ' Delete the first fit point in the spline splineObj.DeleteFitPoint 0 ThisDrawing.Regen True MsgBox "A fit point has been deleted at Index: 0", , "DeleteFitPoint Example" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_DeleteFitPoint() ;; This example creates a spline object in model space. ;; It then deletes a fit point from the spline. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Create the spline (setq startTan (vlax-3d-point 0.5 0.5 0) endTan (vlax-3d-point 0.5 0.5 0) fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8))) (vlax-safearray-fill fitPoints '(1 1 0 5 5 0 10 0 0 ) ) (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) (alert "Delete the first fit point.") ;; Delete the first fit point in the spline (vla-DeleteFitPoint splineObj 0) (vla-Regen doc :vlax-true) (alert "A fit point has been deleted at Index: 0") ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:29
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.